package com.nifty.cloud.ncs.service;

import java.util.Date;

/**
 * オブジェクトの一覧表示に使用する情報を保持するクラスです。
 *
 */
public class NcsObjectContents
{
	/** オブジェクトが格納されているバケット名 */
	private String bucketName = null;

	/** オブジェクト名 */
	private String name = null;

	/** オブジェクトの最終更新日時 */
	private Date lastModified = null;

	/** オブジェクトのMD5ハッシュ値 */
	private String eTag = null;

	/** オブジェクトのサイズ(byte) */
	private long size = 0;

	/**
     * オブジェクトのオーナー
     */
	private Owner owner = null;

	/**
	 *
	 */
	public NcsObjectContents()
	{

	}

    /**
     * オブジェクトが格納されているバケット名を設定します。
     *
     * @param bucketName
     *  オブジェクトが格納されているバケット名
     *
     */
	public void setBucketName(String bucketName)
	{
		this.bucketName = bucketName;
	}

    /**
     * オブジェクトが格納されているバケット名を取得します。
     *
     * @return
     *  オブジェクトが格納されているバケット名
     *
     */
	public String getBucketName()
	{
		return (bucketName);
	}

    /**
     * オブジェクト名を取得します。
     *
     * @return
     *  オブジェクト名
     *
     */
	public String getName()
	{
		return (name);
	}

    /**
     * オブジェクト名を設定します。
     *
     * @param key
     *  オブジェクト名
     *
     */
	public void setName(String key)
	{
		this.name = key;
	}

    /**
     * オブジェクトの最終更新日時を取得します。
     *
     * @return
     *  オブジェクトの最終更新日時
     *
     */
	public Date getLastModified()
	{
		return (lastModified);
	}

    /**
     * オブジェクトの最終更新日時を設定します。
     *
     * @param lastModified
     *  オブジェクトの最終更新日時
     *
     */
	public void setLastModified(Date lastModified)
	{
		this.lastModified = lastModified;
	}

    /**
     * オブジェクトのETagを取得します。
     *
     * @return
     *  オブジェクトのETag
     *
     */
	public String getETag()
	{
		return (eTag);
	}

    /**
     * オブジェクトのETagを設定します。
     *
     * @param eTag
     * オブジェクトのETag
     *
     */
	public void setETag(String eTag)
	{
		this.eTag = eTag;
	}

    /**
     * オブジェクトのサイズ(byte)を取得します。
     *
     * @return
     * オブジェクトのサイズ(byte)
     */
	public long getSize()
	{
		return (size);
	}

    /**
     * オブジェクトのサイズ(byte)を設定します。
     *
     * @param size
     * オブジェクトのサイズ(byte)
     *
     */
	public void setSize(long size)
	{
		this.size = size;
	}

    /**
     * オブジェクトのオーナーを取得します。
     *
     * @return オブジェクトのオーナー
     *
     */
	public Owner getOwner()
	{
		return (owner);
	}

    /**
     * オブジェクトのオーナーを設定します。
     *
     * @param owner
     *            オブジェクトのオーナー
     *
     */
	public void setOwner(Owner owner)
	{
		this.owner = owner;
	}

}
